package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag756;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT756Creator;

public class Tag79ZCreator extends AbsTagCreate {
    private MT756Creator mt756Creator;

    public Tag79ZCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt756Creator= (MT756Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag79ZValue = mt756Creator.getNarrative();
        mt756Creator.set("79Z", tag79ZValue);
    }
}
